
Name: app-owncloud-extension
Epoch: 1
Version: 1.1.2
Release: 1%{dist}
Summary: ownCloud Extension - Core
License: LGPLv3
Group: ClearOS/Libraries
Vendor: Tim Burgess
Source: app-owncloud-extension-%{version}.tar.gz
Buildarch: noarch

%description
ownCloud Extension description

%package core
Summary: ownCloud Extension - Core
Requires: app-base-core
Requires: app-contact-extension-core
Requires: app-openldap-directory-core
Requires: app-users

%description core
ownCloud Extension description

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/owncloud_extension
cp -r * %{buildroot}/usr/clearos/apps/owncloud_extension/

install -D -m 0644 packaging/owncloud.php %{buildroot}/var/clearos/openldap_directory/extensions/73_owncloud.php

%post core
logger -p local6.notice -t installer 'app-owncloud-extension-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/owncloud_extension/deploy/install ] && /usr/clearos/apps/owncloud_extension/deploy/install
fi

[ -x /usr/clearos/apps/owncloud_extension/deploy/upgrade ] && /usr/clearos/apps/owncloud_extension/deploy/upgrade

exit 0

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-owncloud-extension-core - uninstalling'
    [ -x /usr/clearos/apps/owncloud_extension/deploy/uninstall ] && /usr/clearos/apps/owncloud_extension/deploy/uninstall
fi

exit 0

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/owncloud_extension/packaging
%dir /usr/clearos/apps/owncloud_extension
/usr/clearos/apps/owncloud_extension/deploy
/usr/clearos/apps/owncloud_extension/language
/usr/clearos/apps/owncloud_extension/libraries
/var/clearos/openldap_directory/extensions/73_owncloud.php
